#!/bin/sh
#
# INTEL CORPORATION PROPRIETARY INFORMATION
# This software is supplied under the terms of a license agreement
# or nondisclosure agreement with Intel Corporation and may not 
# be copied or disclosed except in accordance with the terms of
# that agreement.
#
# Copyright (c) 2009 Intel Corporation. All Rights Reserved.
#
# Script for building iqvlinux driver.
# Param: $1 - kernel source path
#
# Main difference to original iqvlinux build script is that
# kernel path shall be entered by $1, and script doesn't copy compilation 
# results.
# The script has been created to use in DKMS building commands.
#
# $Source: /home/cvsroot/ladsw/Iqvlinux_DKMS/build_iqvlinux.sh,v $
# $Revision: 1.7 $
# $Date: 2011/10/04 13:00:31 $
# $Name: v1-1-4-0o $ 
# $Author: ladamczu $
#

echo "############################################################################################"
echo "build_iqvlinux.sh $1"
echo "############################################################################################"

export KSRC=$1


cd ./iqvlinux

# Environment tests
export NALDIR=$PWD

echo $NALDIR
rm -f *.ko *.o

if [ `uname -m` = "x86_64" ]
then
   export CFLAGS=$CFLAGS" -mcmodel=kernel"
fi
if [ `uname -m` = "ppc64" ]
then
    export NAL_OS_DEFINE=LINUXPPC64
    export CFLAGS=$CFLAGS" -DLINUXPPC64 -DNAL_BIG_ENDIAN"
fi
if [ `uname -m` = "ppc" ]
then
   export NAL_OS_DEFINE=LINUXPPC
   export CFLAGS=$CFLAGS" -DLINUXPPC -DNAL_BIG_ENDIAN"  
fi

echo $PWD
cd src/linux/driver

make -f Makefile
cp iqvlinux.ko ../../../../bin/
cd ../../../..
echo $PWD

echo "############################################################################################"
echo "end of build_iqvlinux.sh $1"
echo "############################################################################################"
